"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var bitfront_library_1 = require("bitfront-library");
var index_1 = require("bitfront-library/shared/index");
var custom_validators_service_1 = require("../sharedbitcitaweb/service/custom-validators.service");
var index_2 = require("bitfront-library/shared/index");
var campanya_service_1 = require("./service/campanya.service");
var consultar_cita_guard_service_1 = require("./guard/consultar-cita-guard.service");
var CommonModule = (function () {
    function CommonModule(parentModule) {
        if (parentModule) {
            throw new Error('CommonModule is already loaded. Import it in the AppModule only');
        }
    }
    CommonModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        bitfront_library_1.SharedModule
                    ],
                    providers: [
                        index_2.httpUtilsServiceInjectables,
                        index_1.MessageService,
                        index_1.GeneralUtils,
                        index_1.FocusService,
                        index_1.SessionSharedService,
                        custom_validators_service_1.CustomValidators,
                        campanya_service_1.CampanyaService,
                        consultar_cita_guard_service_1.ConsultarCitaGuard
                    ],
                    exports: [
                        bitfront_library_1.SharedModule
                    ]
                },] },
    ];
    /** @nocollapse */
    CommonModule.ctorParameters = function () { return [
        { type: CommonModule, decorators: [{ type: core_1.Optional }, { type: core_1.SkipSelf },] },
    ]; };
    return CommonModule;
}());
exports.CommonModule = CommonModule;
//# sourceMappingURL=common.module.js.map