import { FormGroup, FormBuilder, FormControl } from '@angular/forms';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/observable/of';
import { TranslateService } from '@ngx-translate/core';
import { MessageService } from 'bitfront-library/shared/index';
import { CampanyaService } from '../../common/service/campanya.service';
import { ServicioCampo } from '../../common/data/servicio-campo';
import { ReservarCitaPaso } from './reservar-cita-paso';
export declare class DatosPersonalesComponent extends ReservarCitaPaso {
    campanyaService: CampanyaService;
    formBuilder: FormBuilder;
    translate: TranslateService;
    message: MessageService;
    validators: {
        "codigoAlfanumerico": (control: FormControl) => {
            [s: string]: boolean;
        };
        "cp": (control: FormControl) => {
            [s: string]: boolean;
        };
        "email": (control: FormControl) => {
            [s: string]: boolean;
        };
        "fecha": (control: FormControl) => {
            [s: string]: boolean;
        };
        "nif": (control: FormControl) => {
            [s: string]: boolean;
        };
        "nombre": (control: FormControl) => {
            [s: string]: boolean;
        };
        "telefono": (control: FormControl) => {
            [s: string]: boolean;
        };
    };
    myForm: FormGroup;
    servicioId: number;
    listCampo: ServicioCampo[];
    constructor(campanyaService: CampanyaService, formBuilder: FormBuilder, translate: TranslateService, message: MessageService);
    /** Cuando el usuario vuelve a esta pestaña y el servicio ha cambiado, hay que recargar la lista de campos. */
    refreshDatosVisible(): void;
    validarPaso(): boolean;
    updateReservaCita(): void;
    resetActions(): void;
    loadCampos(): void;
    buildFormGroup(): void;
    campoShowError(campoId: number): boolean;
    campoError(campoId: number): Observable<string>;
}
