import { FormControl } from '@angular/forms';
export declare class CustomValidators {
    static compose(validators: Function[]): Function;
    static required(control: FormControl): {
        [s: string]: boolean;
    };
    /** Fecha con formato dd/mm/yyyy. */
    static fecha(control: FormControl): {
        [s: string]: boolean;
    };
    /** RFC 2822 compliant regex. */
    static email(control: FormControl): {
        [s: string]: boolean;
    };
    static codigoAlfanumerico(control: FormControl): {
        [s: string]: boolean;
    };
    static cp(control: FormControl): {
        [s: string]: boolean;
    };
    static telefono(control: FormControl): {
        [s: string]: boolean;
    };
    static nombre(control: FormControl): {
        [s: string]: boolean;
    };
    static numero(control: FormControl): {
        [s: string]: boolean;
    };
    static nif(control: FormControl): {
        [s: string]: boolean;
    };
    static nie(control: FormControl): {
        [s: string]: boolean;
    };
    static nifnie(control: FormControl): {
        [s: string]: boolean;
    };
}
